oracle.adf.view.rich.component.rich.data

## Class RichTable

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXCollection
        - - org.apache.myfaces.trinidad.component.UIXIterator
          - - org.apache.myfaces.trinidad.component.UIXTable
            - - oracle.adf.view.rich.component.PartialUIXTable
              - - oracle.adf.view.rich.component.UIXTable
                - - oracle.adf.view.rich.component.rich.data.PartialRichTable
                  - - oracle.adf.view.rich.component.rich.data.RichTable

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, DragSourceFactory, org.apache.myfaces.trinidad.component.CollectionComponent, org.apache.myfaces.trinidad.component.FlattenedComponent, org.apache.myfaces.trinidad.model.LocalRowKeyIndex, org.apache.myfaces.trinidad.model.RowKeyIndex

      public class RichTable
      extends PartialRichTable
      implements DragSourceFactory

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `RichTable.ColumnFacetsOnlyVisitContext` VistiContext that visits the facets of the UIXColumn children, including nested UIXColumn childrem

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXIterator

      `org.apache.myfaces.trinidad.component.UIXIterator.Runner`

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXCollection

      `org.apache.myfaces.trinidad.component.UIXCollection.NoColumnFacetsVisitContext`

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `org.apache.myfaces.trinidad.component.UIXComponentBase.ComponentSystemEventListenerWrapper`

    - ### Nested classes/interfaces inherited from interface org.apache.myfaces.trinidad.model.LocalRowKeyIndex

      `org.apache.myfaces.trinidad.model.LocalRowKeyIndex.Confidence, org.apache.myfaces.trinidad.model.LocalRowKeyIndex.LocalCachingStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.myfaces.trinidad.bean.FacesBean.Type` | `TYPE`

    - ### Fields inherited from class oracle.adf.view.rich.component.rich.data.PartialRichTable

      `ACTIVE_ROW_KEY_KEY, ALL_DETAILS_ENABLED_KEY, AUTO_HEIGHT_ROWS_KEY, BLOCK_ROW_NAVIGATION_ON_ERROR_ALWAYS, BLOCK_ROW_NAVIGATION_ON_ERROR_AUTO, BLOCK_ROW_NAVIGATION_ON_ERROR_KEY, BLOCK_ROW_NAVIGATION_ON_ERROR_NEVER, BODY_CONTEXT_MENU_FACET, BODY_CONTEXT_MENU_ID_KEY, CLEAR_TOKEN_CACHE_ON_PPR_KEY, CLIENT_ATTRIBUTES_KEY, CLIENT_COMPONENT_KEY, CLIENT_LISTENERS_KEY, COLUMN_BANDING_INTERVAL_KEY, COLUMN_RESIZING_DISABLED, COLUMN_RESIZING_ENABLED, COLUMN_RESIZING_KEY, COLUMN_SELECTION_KEY, COLUMN_SELECTION_LISTENER_KEY, COLUMN_SELECTION_MULTIPLE, COLUMN_SELECTION_NONE, COLUMN_SELECTION_SINGLE, COLUMN_STRETCHING_KEY, COMPONENT_FAMILY, COMPONENT_TYPE, CONTENT_DELIVERY_IMMEDIATE, CONTENT_DELIVERY_KEY, CONTENT_DELIVERY_LAZY, CONTENT_DELIVERY_WHEN_AVAILABLE, CONTEXT_MENU_FACET, CONTEXT_MENU_ID_KEY, CONTEXT_MENU_SELECT_KEY, CUSTOMIZATION_ID_KEY, DISABLE_COLUMN_REORDERING_KEY, DISPLAY_ROW_FIRST, DISPLAY_ROW_KEY, DISPLAY_ROW_KEY_KEY, DISPLAY_ROW_LAST, DISPLAY_ROW_SELECTED, DONT_PERSIST_KEY, EDITING_MODE_CLICK_TO_EDIT, EDITING_MODE_EDIT_ALL, EDITING_MODE_KEY, EDITING_MODE_READ_ONLY, EMPTY_TEXT_KEY, FETCH_SIZE_KEY, FILTER_VISIBLE_KEY, FOOTER_FACET, FREEZE_DIRECTION_END, FREEZE_DIRECTION_KEY, FREEZE_DIRECTION_START, HEADER_FACET, HORIZONTAL_GRID_VISIBLE_KEY, INLINE_STYLE_KEY, MAX_CLIENT_ROWS_KEY, PARTIAL_TRIGGERS_KEY, PERSIST_KEY, ROW_BANDING_INTERVAL_KEY, ROW_SELECTION_KEY, ROW_SELECTION_MULTIPLE, ROW_SELECTION_MULTIPLE_NO_SELECT_ALL, ROW_SELECTION_NONE, ROW_SELECTION_SINGLE, SCROLL_LEFT_KEY, SCROLL_POLICY_AUTO, SCROLL_POLICY_KEY, SCROLL_POLICY_PAGE, SCROLL_POLICY_SCROLL, SCROLL_POLICY_SCROLL_PREFETCH, SCROLL_TOP_KEY, SCROLL_TOP_ROW_KEY_KEY, SELECTION_EVENT_DELAY_DISABLED, SELECTION_EVENT_DELAY_ENABLED, SELECTION_EVENT_DELAY_KEY, SHORT_DESC_KEY, STYLE_CLASS_KEY, SUMMARY_KEY, UNSECURE_KEY, VERTICAL_GRID_VISIBLE_KEY, VISIBLE_KEY, WIDTH_KEY`

    - ### Fields inherited from class oracle.adf.view.rich.component.PartialUIXTable

      `FILTER_MODEL_KEY, QUERY_LISTENER_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXTable

      `DETAIL_STAMP_FACET, DISCLOSED_ROW_KEYS_KEY, IMMEDIATE_KEY, RANGE_CHANGE_LISTENER_KEY, ROW_DISCLOSURE_LISTENER_KEY, SELECTED_ROW_KEYS_KEY, SELECTION_LISTENER_KEY, SHOW_ALL_KEY, SORT_LISTENER_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXIterator

      `FIRST_KEY, ROWS_KEY, VALUE_KEY, VAR_STATUS_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXCollection

      `VAR_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface oracle.adf.view.rich.dnd.DragSourceFactory

      `DEFAULT_DRAGSOURCE`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RichTable()` Construct an instance of the RichTable.
    `protected` | `RichTable(String rendererType)` Construct an instance of the RichTable.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `DragSource` | `createDragSource(String name, Set<DnDAction> allowedActions, DnDAction defaultAction, String discriminant, javax.el.MethodExpression dragDropEndListener, Map<String,?> properties)` Returns the server DragSource, or `null` if no DragSource should be attached.
    `CharSequence` | `createDragSourceBehavior(String name, DragSource dragSource, Set<DnDAction> allowedActions, DnDAction defaultAction, String discriminant, javax.el.MethodExpression dragDropEndListener, Map<String,?> properties)` Returns the client DragSource initializer.
    `protected Map<String,Object>` | `createVarStatusMap()` Enhances the varStatusMap created by the super class to include: readOnly - returns true if the current row is non-editable
    `protected org.apache.myfaces.trinidad.bean.FacesBean.Type` | `getBeanType()`
    `Collection<String>` | `getSelectedColumns()` Returns selected child columns by clientId.
    `boolean` | `invokeOnComponent(javax.faces.context.FacesContext facesContext, String clientId, javax.faces.component.ContextCallback callback)`
    `boolean` | `isIterator(javax.faces.component.UIComponent stamp)`
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `void` | `setClickToEditRowEditable()` Sets the internal read only attribute to false on a clicktoedit table.
    `void` | `setClickToEditRowReadOnly()` Sets the internal read only attribute to true on a clicktoedit table.
    `protected Object` | `setupELVariable(javax.faces.context.FacesContext context, String name, Object value)`
    `protected boolean` | `visitChildren(javax.faces.component.visit.VisitContext visitContext, javax.faces.component.visit.VisitCallback callback)`
    `protected boolean` | `visitStampedColumnFacets(javax.faces.component.visit.VisitContext visitContext, javax.faces.component.visit.VisitCallback callback)` Implementation used to visit each stamped row
    `protected boolean` | `visitUnstampedFacets(javax.faces.component.visit.VisitContext visitContext, javax.faces.component.visit.VisitCallback callback)`

    - ### Methods inherited from class oracle.adf.view.rich.component.rich.data.PartialRichTable

      `addClientBehavior, addColumnSelectionListener, getActiveRowKey, getAutoHeightRows, getBlockRowNavigationOnError, getBodyContextMenu, getBodyContextMenuId, getClientAttributes, getClientBehaviors, getClientListeners, getColumnBandingInterval, getColumnResizing, getColumnSelection, getColumnSelectionListener, getColumnSelectionListeners, getColumnStretching, getContentDelivery, getContextMenu, getContextMenuId, getCustomizationId, getDefaultEventName, getDisplayRow, getDisplayRowKey, getDontPersist, getEditingMode, getEmptyText, getEventNames, getFamily, getFetchSize, getFooter, getFreezeDirection, getHeader, getInlineStyle, getMaxClientRows, getPartialTriggers, getPersist, getRowBandingInterval, getRowSelection, getScrollLeft, getScrollPolicy, getScrollTop, getScrollTopRowKey, getSelectionEventDelay, getShortDesc, getStyleClass, getSummary, getUnsecure, getWidth, isAllDetailsEnabled, isClearTokenCacheOnPPR, isClientComponent, isContextMenuSelect, isDisableColumnReordering, isFilterVisible, isHorizontalGridVisible, isVerticalGridVisible, isVisible, removeColumnSelectionListener, setActiveRowKey, setAllDetailsEnabled, setAutoHeightRows, setBlockRowNavigationOnError, setBodyContextMenu, setBodyContextMenuId, setClearTokenCacheOnPPR, setClientAttributes, setClientComponent, setClientListeners, setColumnBandingInterval, setColumnResizing, setColumnSelection, setColumnSelectionListener, setColumnStretching, setContentDelivery, setContextMenu, setContextMenuId, setContextMenuSelect, setCustomizationId, setDisableColumnReordering, setDisplayRow, setDisplayRowKey, setDontPersist, setEditingMode, setEmptyText, setFetchSize, setFilterVisible, setFooter, setFreezeDirection, setHeader, setHorizontalGridVisible, setInlineStyle, setMaxClientRows, setPartialTriggers, setPersist, setRowBandingInterval, setRowSelection, setScrollLeft, setScrollPolicy, setScrollTop, setScrollTopRowKey, setSelectionEventDelay, setShortDesc, setStyleClass, setSummary, setUnsecure, setVerticalGridVisible, setVisible, setWidth`

    - ### Methods inherited from class oracle.adf.view.rich.component.UIXTable

      `__decodeChildrenImpl, __updateChildrenImpl, __validateChildrenImpl, getQueryListenerAsExpression, processStamps`

    - ### Methods inherited from class oracle.adf.view.rich.component.PartialUIXTable

      `addQueryListener, getFilterModel, getQueryListener, getQueryListeners, removeQueryListener, setFilterModel, setQueryListener`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXTable

      `addRangeChangeListener, addRowDisclosureListener, addSelectionListener, addSortListener, createCollectionModel, createFacesBean, decode, getContainerClientId, getDetailStamp, getDisclosedRowKeys, getIndexedRunner, getRangeChangeListener, getRangeChangeListeners, getRowDisclosureListener, getRowDisclosureListeners, getSelectedRowData, getSelectedRowKeys, getSelectionListener, getSelectionListeners, getSortListener, getSortListeners, getStamps, isImmediate, isShowAll, postCreateCollectionModel, processFacetsAndChildren, processUpdates, processValidators, removeRangeChangeListener, removeRowDisclosureListener, removeSelectionListener, removeSortListener, restoreStampState, restoreState, saveStampState, saveState, setDetailStamp, setDisclosedRowKeys, setImmediate, setRangeChangeListener, setRangeChangeListener, setRowDisclosureListener, setRowDisclosureListener, setRowIndex, setRowKey, setSelectedRowKeys, setSelectionListener, setSelectionListener, setShowAll, setSortCriteria, setSortListener, setSortListener, setupVisitingContext, tearDownVisitingContext`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXIterator

      `encodeChildren, getFirst, getRendersChildren, getRows, getValue, getVarStatus, isFlatteningChildren, processFlattenedChildren, setFirst, setRows, setValue, setVarStatus, visitData`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXCollection

      `areRowsAvailable, areRowsAvailable, areRowsAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, clearCachedRow, clearCachedRow, clearCachedRows, clearCachedRows, clearCurrencyStringCache, clearLocalCache, decodeChildrenImpl, defaultVisitChildren, encodeBegin, encodeEnd, ensureRowsAvailable, getCachingStrategy, getClientRowKey, getClientRowKeyManager, getCollectionModel, getCollectionModel, getContainerClientId, getCurrencyString, getEstimatedRowCount, getEstimatedRowCountConfidence, getRowCount, getRowData, getRowData, getRowData, getRowIndex, getRowKey, getSortCriteria, getVar, isRowAvailable, isRowAvailable, isRowAvailable, isRowLocallyAvailable, isRowLocallyAvailable, isSortable, newNoColumnFacetsVisitContext, postRowDataChange, preRowDataChange, processComponent, processDecodes, processEvent, processFlattenedChildrenBegin, processRestoreState, processSaveState, resetStampState, setClientRowKey, setCurrencyString, setVar, updateChildrenImpl, validateChildrenImpl, visitChildrenWithoutIterating`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, decodeChildren, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getComponentChangeFilters, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, satisfiesPartialTrigger, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, validateChildren`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, visitAllChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.myfaces.trinidad.component.CollectionComponent

      `getFirst, getRows, getVar`

    - ### Methods inherited from interface org.apache.myfaces.trinidad.model.RowKeyIndex

      `areRowsAvailable, areRowsAvailable, areRowsAvailable, getRowCount, getRowData, getRowData, getRowData, getRowIndex, getRowKey, isRowAvailable, isRowAvailable, isRowAvailable`

    - ### Methods inherited from interface org.apache.myfaces.trinidad.model.LocalRowKeyIndex

      `areRowsLocallyAvailable, areRowsLocallyAvailable, areRowsLocallyAvailable, clearCachedRow, clearCachedRow, clearCachedRows, clearCachedRows, clearLocalCache, getCachingStrategy, getEstimatedRowCount, getEstimatedRowCountConfidence, isRowLocallyAvailable, isRowLocallyAvailable`

- - ### Field Detail

    - #### TYPE

          public static final org.apache.myfaces.trinidad.bean.FacesBean.Type TYPE

  - ### Constructor Detail

    - #### RichTable

          public RichTable()

      Construct an instance of the RichTable.

    - #### RichTable

          protected RichTable(String rendererType)

      Construct an instance of the RichTable.
      Parameters:
        `rendererType` - The type of renderer

  - ### Method Detail

    - #### getBeanType

          protected org.apache.myfaces.trinidad.bean.FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `PartialRichTable`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `org.apache.myfaces.trinidad.component.UIXTable`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `UIXTable`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### createDragSource

          public DragSource createDragSource(String name,
                                             Set<DnDAction> allowedActions,
                                             DnDAction defaultAction,
                                             String discriminant,
                                             javax.el.MethodExpression dragDropEndListener,
                                             Map<String,?> properties)

      Description copied from interface: `DragSourceFactory`
      Returns the server DragSource, or `null` if no DragSource should be attached.
      Specified by:
        `createDragSource` in interface `DragSourceFactory`
      Parameters:
        `name` - refers to a named DragSource; "default" refers to the default DragSource
        `allowedActions` - Set of `DnDAction` supported by the DragSource.
        `defaultAction` - Default drag and drop action supported by this drag source
        `discriminant` - The discriminant for the default DataFlavors generated by this drag source.
        `dragDropEndListener` - A method reference to an event of the signature `void method(DropEvent)` that is invoked after the drag drop operation ends.
        `properties` - allows for additional properties in the future
      Returns:
        DragSource

    - #### createDragSourceBehavior

          public CharSequence createDragSourceBehavior(String name,
                                                       DragSource dragSource,
                                                       Set<DnDAction> allowedActions,
                                                       DnDAction defaultAction,
                                                       String discriminant,
                                                       javax.el.MethodExpression dragDropEndListener,
                                                       Map<String,?> properties)

      Description copied from interface: `DragSourceFactory`
      Returns the client DragSource initializer.
      Specified by:
        `createDragSourceBehavior` in interface `DragSourceFactory`
      Parameters:
        `name` - refers to a named DragSource; "default" refers to the default DragSource
        `dragSource` - DragSource to create clientDragSource initializer for.
        `allowedActions` - Set of `DnDAction` supported by the DragSource.
        `defaultAction` - Default drag and drop action supported by this drag source
        `discriminant` - The discriminant for the default DataFlavors generated by this drag source.
        `dragDropEndListener` - A method reference to an event of the signature `void method(DropEvent)` that is invoked after the drag drop operation ends.
        `properties` - allows for additional properties in the future
      Returns:
        CharSequence

    - #### getSelectedColumns

          public Collection<String> getSelectedColumns()

      Returns selected child columns by clientId. Does not check for visibility/rendered attributes. Recurses into column groups
      Returns:
        selected column client IDs

    - #### visitChildren

          protected boolean visitChildren(javax.faces.component.visit.VisitContext visitContext,
                                          javax.faces.component.visit.VisitCallback callback)

      Overrides:
        `visitChildren` in class `org.apache.myfaces.trinidad.component.UIXCollection`

    - #### visitStampedColumnFacets

          protected boolean visitStampedColumnFacets(javax.faces.component.visit.VisitContext visitContext,
                                                     javax.faces.component.visit.VisitCallback callback)

      Implementation used to visit each stamped row
      Overrides:
        `visitStampedColumnFacets` in class `org.apache.myfaces.trinidad.component.UIXTable`

    - #### visitUnstampedFacets

          protected boolean visitUnstampedFacets(javax.faces.component.visit.VisitContext visitContext,
                                                 javax.faces.component.visit.VisitCallback callback)

      Overrides:
        `visitUnstampedFacets` in class `org.apache.myfaces.trinidad.component.UIXCollection`

    - #### invokeOnComponent

          public boolean invokeOnComponent(javax.faces.context.FacesContext facesContext,
                                           String clientId,
                                           javax.faces.component.ContextCallback callback)
                                    throws javax.faces.FacesException

      Overrides:
        `invokeOnComponent` in class `org.apache.myfaces.trinidad.component.UIXCollection`
      Throws:
        `javax.faces.FacesException`

    - #### setupELVariable

          protected Object setupELVariable(javax.faces.context.FacesContext context,
                                           String name,
                                           Object value)

      Overrides:
        `setupELVariable` in class `org.apache.myfaces.trinidad.component.UIXCollection`

    - #### isIterator

          public boolean isIterator(javax.faces.component.UIComponent stamp)

      Overrides:
        `isIterator` in class `org.apache.myfaces.trinidad.component.UIXTable`

    - #### setClickToEditRowReadOnly

          public void setClickToEditRowReadOnly()

      Sets the internal read only attribute to true on a clicktoedit table. If the table is PPR'd after invoking this API, the active row will be rendered as read only, making the table a read only table.

    - #### setClickToEditRowEditable

          public void setClickToEditRowEditable()

      Sets the internal read only attribute to false on a clicktoedit table. When the table is PPR'd after invoking this API, the active row will be rendered as editable. Please also see API setClickToEditRowReadOnly. This API is useful to turn the table back to editable after you invoke setClickToEditRowReadOnly.

    - #### createVarStatusMap

          protected Map<String,Object> createVarStatusMap()

      Enhances the varStatusMap created by the super class to include:
      - readOnly - returns true if the current row is non-editable
      Overrides:
        `createVarStatusMap` in class `org.apache.myfaces.trinidad.component.UIXIterator`

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.